using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace GridGroup
{
    public class TaskView
    {
        public TaskView()
        {
        }

        /// <summary>
        /// This constructor should only be used if we need a TaskView object when initiating an edit
        /// </summary>
        /// <param name="taskId"></param>
        /// <param name="subject"></param>
        public TaskView(int taskId, string subject)
        {
            this._taskIdField = taskId;
            this._subjectField = subject;
        }

        public TaskView(
            int? taskId, string assigneeName, string subject, DateTime? dueDate, int value1, int value2, string ownedBy, 
            string text, int value3, int? value4, string priority, int? recurrenceId)
        {
            _taskIdField = taskId;
            _subjectField = subject;
            _assigneeNameField = assigneeName;
            //_dueDateField = dueDate;
            //_percentageCompleteField = percentageComplete;
            _priorityField = priority;
            _dueDateField = dueDate;
            //_statusField = _statusField;
            //_taskTypeField = _taskTypeField;
            _textField = text;
            _ownedByField = ownedBy;
            _recurrenceIdField = recurrenceId;
        }

        private System.String _assigneeNameField;
        public System.String AssigneeName
        {
            get { return this._assigneeNameField; }
            set { this._assigneeNameField = value; }
        }

        private System.DateTime? _dueDateField;
        public System.DateTime? DueDate
        {
            get { return this._dueDateField; }
            set { this._dueDateField = value; }
        }

        private System.Int32 _percentageCompleteField;
        public System.Int32 PercentageComplete
        {
            get { return this._percentageCompleteField; }
            set { this._percentageCompleteField = value; }
        }

        private System.String _priorityCodeField;
        public System.String PriorityCode
        {
            get { return this._priorityCodeField; }
            set { this._priorityCodeField = value; }
        }

        private System.String _priorityField;
        public System.String Priority
        {
            get { return this._priorityField; }
            set { this._priorityField = value; }
        }

        private System.DateTime? _startDateField;
        public System.DateTime? StartDate
        {
            get { return this._startDateField; }
            set { this._startDateField = value; }
        }

        private System.String _statusCodeField;
        public System.String StatusCode
        {
            get { return this._statusCodeField; }
            set { this._statusCodeField = value; }
        }

        private System.String _statusField;
        public System.String Status
        {
            get { return this._statusField; }
            set { this._statusField = value; }
        }

        private System.String _subjectField;
        public System.String Subject
        {
            get { return this._subjectField; }
            set { this._subjectField = value; }
        }

        private System.Int32? _taskIdField;
        public System.Int32? TaskId
        {
            get { return this._taskIdField; }
            set { this._taskIdField = value; }
        }

        private System.String _taskTypeField;
        public System.String TaskType
        {
            get { return this._taskTypeField; }
            set { this._taskTypeField = value; }
        }

        private System.String _taskTypeCodeField;
        public System.String TaskTypeCode
        {
            get { return this._taskTypeCodeField; }
            set { this._taskTypeCodeField = value; }
        }

        private System.String _textField;
        public System.String Text
        {
            get { return this._textField; }
            set
            {
                this._textField = value;
            }
        }

        private System.String _ownedByField;
        public System.String OwnedBy
        {
            get { return this._ownedByField; }
            set { this._ownedByField = value; }
        }

        private decimal? _recurrenceIdField;
        public decimal? RecurrenceId
        {
            get { return this._recurrenceIdField; }
            set { this._recurrenceIdField = value; }
        }
    }
}